> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pepper.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar transações

> Listar todas as transações da sua conta.



## OpenAPI

````yaml GET /transactions
openapi: 3.1.0
info:
  title: Pepper API v1
  description: Documentação da API pública da Pepper.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.cloud.pepperpay.com.br/public/v1/
security:
  - bearerAuth: []
paths:
  /transactions:
    get:
      description: Listar todas as transações da sua conta.
      parameters:
        - name: search
          in: query
          description: Pesquisar por nome do cliente, CPF/CNPJ ou e-mail
          schema:
            type: string
        - name: products
          in: query
          description: >-
            Filtre pelo hash ID do produto. Para pesquisar por mais de um
            produto, envie as hashs separados por vírgula – Exemplo:
            *['pwbnulvcku', 'f1itlfck94']*
          schema:
            type: string
        - name: payment_methods
          in: query
          description: >-
            Filtre pelo método de pagamento. Para pesquisar por mais de um
            método, envie-os separados por vírgula – Exemplo: *['credit_card',
            'billet', 'pix']*
          schema:
            type: string
        - name: dateInterval
          in: query
          description: Intervalo de datas para filtrar as transações.
          schema:
            type: array
            items:
              type: object
              properties:
                start:
                  type: string
                  format: date
                  example: '2026-02-01'
                  description: Data inicial no formato Y-m-d
                end:
                  type: string
                  format: date
                  example: '2026-03-01'
                  description: Data final no formato Y-m-d
        - name: perPage
          in: query
          description: Quantidade de transações por página.
          schema:
            type: string
      responses:
        '200':
          description: Transações listadas
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        event:
                          type: string
                        hash:
                          type: string
                        payment_method:
                          type: string
                        payment_status:
                          type: string
                        installments:
                          type: integer
                        pix:
                          type: object
                        billet:
                          type: object
                        amount:
                          type: integer
                        amount_liquid:
                          type: integer
                        transaction:
                          type: string
                        utm_source:
                          type: string
                        utm_campaign:
                          type: string
                        utm_content:
                          type: string
                        utm_term:
                          type: string
                        utm_medium:
                          type: string
                        customer:
                          type: object
                          properties:
                            hash:
                              type: string
                            name:
                              type: string
                            email:
                              type: string
                            phone_number:
                              type: string
                            document:
                              type: string
                        producer:
                          type: object
                          properties:
                            hash:
                              type: string
                            name:
                              type: string
                            email:
                              type: string
                        affiliate:
                          type: object
                          properties:
                            hash:
                              type: string
                            name:
                              type: string
                            email:
                              type: string
                        offer:
                          type: object
                          properties:
                            hash:
                              type: string
                            title:
                              type: string
                            price:
                              type: integer
                            installments:
                              type: integer
                        product:
                          type: object
                          properties:
                            hash:
                              type: string
                            title:
                              type: string
                            cover:
                              type: string
                            status:
                              type: string
                        items:
                          type: array
                          items:
                            type: object
                            properties:
                              hash:
                                type: string
                              product_id:
                                type: integer
                              operation_type:
                                type: integer
                        balance:
                          type: object
                          properties:
                            amount:
                              type: integer
                            status:
                              type: string
                        postback_url:
                          type: string
                        created_at:
                          type: string
                        updated_at:
                          type: string
                  current_page:
                    type: integer
                  last_page:
                    type: integer
                  per_page:
                    type: integer
                  total:
                    type: integer
              examples:
                success:
                  summary: Exemplo de resposta
                  value:
                    data:
                      - event: transaction
                        hash: abc123def456
                        payment_method: credit_card
                        payment_status: paid
                        installments: 1
                        pix: {}
                        billet: {}
                        amount: 10000
                        amount_liquid: 9500
                        transaction: txn_123456
                        utm_source: google
                        utm_campaign: black_friday
                        utm_content: banner_1
                        utm_term: pagamento
                        utm_medium: cpc
                        customer:
                          hash: cust_123
                          name: João Silva
                          email: joao@email.com
                          phone_number: '11999999999'
                          document: '12345678901'
                        producer:
                          hash: hashId
                          name: Produtor XYZ
                          email: produtor@email.com
                        affiliate:
                          hash: aff_123
                          name: Afiliado ABC
                          email: afiliado@email.com
                        offer:
                          hash: off_123
                          title: Curso Completo
                          price: 10000
                          installments: 1
                        product:
                          hash: prod_123
                          title: Curso de Marketing Digital
                          cover: https://example.com/cover.jpg
                          status: active
                        items:
                          - hash: item_123
                            product_id: 1
                            operation_type: 1
                        balance:
                          amount: 9500
                          status: available
                        postback_url: https://webhook.example.com
                        created_at: '2024'
                        updated_at: '2024'
                      - event: transaction
                        hash: abc123def456
                        payment_method: pix
                        payment_status: paid
                        installments: 1
                        pix: {}
                        billet: {}
                        amount: 10000
                        amount_liquid: 9500
                        transaction: txn_123456
                        utm_source: google
                        utm_campaign: black_friday
                        utm_content: banner_1
                        utm_term: pagamento
                        utm_medium: cpc
                        customer:
                          hash: cust_123
                          name: João Silva
                          email: joao@email.com
                          phone_number: '11999999999'
                          document: '12345678901'
                        producer:
                          hash: hashId
                          name: Produtor XYZ
                          email: produtor@email.com
                        affiliate:
                          hash: aff_123
                          name: Afiliado ABC
                          email: afiliado@email.com
                        offer:
                          hash: off_123
                          title: Curso Completo
                          price: 10000
                          installments: 1
                        product:
                          hash: prod_123
                          title: Curso de Marketing Digital
                          cover: https://example.com/cover.jpg
                          status: active
                        items:
                          - hash: item_123
                            product_id: 1
                            operation_type: 1
                        balance:
                          amount: 9500
                          status: available
                        postback_url: https://webhook.example.com
                        created_at: '2024'
                        updated_at: '2024'
                    current_page: 1
                    last_page: 5
                    per_page: 50
                    total: 250
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: 'Use o token da Pepper API no formato: `Bearer {seu_token_aqui}`'

````